Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I Can't Log On To EFTPS . Gov To Pay In Taxes. It Ask For . TLS 1.1 Or TLS 1.2 I Cant Find That ?

  • 7 replies
  • 1 has this problem
  • 16 views
  • Last reply by cor-el

more options

How Do I Set Up TLS 1.1 And TLS 1.2

THANKS

All Replies (7)

more options

That is from either the O/S or from the site setting up the configuration connections. Did you also ask the site about how to configure it to connect?

more options

The Website Asked For TLS 1.1 or 1.2 Encryption Enabled

more options
more options

Firefox has supported TLS 1.2 by default since 27.0 and TLS 1.3 by default since 60.0 so if the site claims Firefox does not support TLS 1.2 it is wrong.

.gov websites have been pretty bad when it comes to working properly with secure connections.

https://www.ssllabs.com/ssltest/analyze.html?d=www.eftps.gov&s=204.194.122.19&hideResults=on

more options

Protocols TLS 1.3 No TLS 1.2 Yes TLS 1.1 Yes TLS 1.0 No SSL 3 No SSL 2 No For TLS 1.3 tests, we only support RFC 8446.

more options

So. What can I do to do this 1.2 or 1.1. So I can pay my taxes like have for done for years.  ????

more options

Works fine here with Firefox 64.0.2.

What security software do you have?

You can check your browser.